> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an Organization’s Report

> Get a usage report for the given organization from the start_date and end_date, detailing how much usage went to each QPU during that period. If no start_date or end_date are provided, period defaults to last 30 days until current time.



## OpenAPI

````yaml https://api.ionq.co/v0.3/api-docs GET /report/organizations/{org_id}
openapi: 3.0.0
info:
  title: IonQ Cloud Platform API
  version: v0.3
  description: |-
    *Last updated: May 6, 2026*
    IonQ's API for accessing the IonQ Quantum Cloud platform
  contact:
    name: IonQ
    email: support@ionq.co
    url: https://ionq.com/
  x-logo:
    url: https://static.ionq.co/images/ionq-logo-dark.png
    altText: IonQ Logo
    href: '#'
servers:
  - url: https://api.ionq.co/v0.3/
security:
  - API_Key: []
paths:
  /report/organizations/{org_id}:
    get:
      tags:
        - reports
      summary: Get an Organization’s Report
      description: >-
        Get a usage report for the given organization from the start_date and
        end_date, detailing how much usage went to each QPU during that period.
        If no start_date or end_date are provided, period defaults to last 30
        days until current time.
      operationId: getOrgReport
      parameters:
        - $ref: '#/components/parameters/org-id'
        - $ref: '#/components/parameters/start-date'
        - $ref: '#/components/parameters/end-date'
      responses:
        '200':
          $ref: '#/components/responses/OrgReport'
      x-codeSamples:
        - lang: curl
          source: >
            curl
            "https://api.ionq.co/v0.3/report/organizations/c0a04808-8914-4fcc-9a1e-79b1d9370b85?start_date=2023-07-01&end_date=2023-07-31"
            \
              -H "Authorization: apiKey your-api-key"
components:
  parameters:
    org-id:
      name: org_id
      in: path
      required: true
      example: 71d164e-6ebe-4126-8839-f1529bb01a00
      description: >-
        The UUID of the organization — this UUID is provided in the response on
        organization creation.
      schema:
        type: string
        format: uuid
    start-date:
      name: start_date
      in: query
      schema:
        type: string
        example: '2023-07-01'
        description: The start date of report.
    end-date:
      name: end_date
      in: query
      schema:
        type: string
        example: '2023-07-31'
        description: The end date of report.
  responses:
    OrgReport:
      description: Successfully retrieved a report of an organization.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/OrgReport'
  schemas:
    OrgReport:
      type: object
      description: Organizational report.
      properties:
        start_date:
          $ref: '#/components/schemas/start-date'
        end_date:
          $ref: '#/components/schemas/end-date'
        organization:
          $ref: '#/components/schemas/org-name'
        organization_id:
          $ref: '#/components/schemas/org-id'
        budget:
          $ref: '#/components/schemas/org-quota'
        balance:
          $ref: '#/components/schemas/org-balance'
        currency:
          $ref: '#/components/schemas/org-currency'
        qpus:
          type: array
          items:
            $ref: '#/components/schemas/qpu_report'
        members:
          $ref: '#/components/schemas/UserReportList'
    start-date:
      type: string
      example: '2023-07-01'
      description: Start date.
    end-date:
      type: string
      example: '2023-07-31'
      description: End date.
    org-name:
      type: string
      example: Arboreal Research Division
      description: Organization name.
    org-id:
      type: string
      format: uuid
      example: 71d164e-6ebe-4126-8839-f1529bb01a00
      description: UUID of an organization.
    org-quota:
      type: number
      description: Organization quota limit.
      example: 150000
    org-balance:
      type: number
      description: Organization balance.
      example: 47500
    org-currency:
      type: string
      description: Organization currency.
      example: USD
    qpu_report:
      type: object
      description: QPU Report.
      properties:
        qpu_name:
          $ref: '#/components/schemas/qpu_type'
        usage:
          $ref: '#/components/schemas/usage'
    UserReportList:
      type: array
      description: A list of user reports.
      items:
        $ref: '#/components/schemas/UserReport'
    qpu_type:
      type: string
      description: Hardware for job to run on.
      enum:
        - qpu.harmony
        - qpu.aria-1
    usage:
      type: number
      description: How much quota used.
      example: 1500
    UserReport:
      type: object
      description: Details of a user report.
      properties:
        id:
          $ref: '#/components/schemas/user-id'
        jobs:
          $ref: '#/components/schemas/user-jobs'
        user_email:
          $ref: '#/components/schemas/user-email'
        first_name:
          $ref: '#/components/schemas/user-firstname'
        last_name:
          $ref: '#/components/schemas/user-lastname'
        execution_time:
          $ref: '#/components/schemas/execution-time'
        quota:
          $ref: '#/components/schemas/user-quota'
        quota_consumed:
          $ref: '#/components/schemas/user-quota-consumed'
    user-id:
      type: string
      example: 64dd217730fd9d001c38fa6a
      description: User ID.
    user-jobs:
      type: number
      example: 3
      description: Number of user jobs.
    user-email:
      type: string
      example: sam.d@quantumlab.ua
      description: User email address.
    user-firstname:
      type: string
      example: Sammy
      description: User first name.
    user-lastname:
      type: string
      example: Davis Jr.
      description: User last name.
    execution-time:
      type: number
      example: 1200
      description: User's execution time in milliseconds.
    user-quota:
      type: number
      example: 250
      description: User's quota limit.
    user-quota-consumed:
      type: number
      example: 45
      description: User's quota consumed.
  securitySchemes:
    API_Key:
      type: apiKey
      in: header
      name: Authorization
      description: >
        API keys are associated with a user and can be created on the

        [IonQ Quantum Cloud](https://cloud.ionq.com) application. To
        authenticate, prefix your API Key with `apiKey ` and place it in the
        `Authorization` request header. Ex: `Authorization: apiKey your-api-key`

````